<template>
  <v-timeline-item color="#ff9800" class="planet-detail-item">
    <template v-slot:icon>
      <v-icon color="white">
        mdi-information-variant
      </v-icon>
    </template>
    <v-card class="elevation-2">
      <v-card-title>
        <v-chip class="planet-detail-item__title"> {{ title }}</v-chip>
      </v-card-title>
      <v-card-text class="planet-detail-item__desc" v-if="description">
        {{ description }}
      </v-card-text>
    </v-card>
  </v-timeline-item>
</template>

<script lang="ts">

export default {
  name: "PlanetDetailItem",
  props: {
    description: {
      type: String,
      default: null
    },
    title: {
      type: String,
      default: null
    },
  },
}
</script>

<style lang="scss" scoped>
.planet-detail-item {
  &__title {
    background-color: #f4f4f4 !important;
    font-weight: bold;
    color: #7f7676;
  }

  &__desc{

  }
}
</style>
